# rtm.vel1.P
# Parameter File for rtm program for marine acquisition
# One vessel with streamers behind
# Only one shot at the center-top position of the velocity model

verb=1	    	        # to be verbal 
rollalong=0       #roll the receiver spread along with shots [0,.false.=default]

# boundary conditions
abstop=1                # [1, .true.=default] apply absorbing top boundary
		        # [0, .false.] apply fully reflective top boundary
npadtop=50		# padding at top boundary
npadbot=50		# padding at bottom boundary
npadleft=50		# padding at left boundary
npadright=50		# padding at right boundary
percent_taper=97.           # [98.] percent of absorbed amplitude at the end of pad (using gaussian tapering)

soutaper=1            # [0,.false.] apply taper to the initial source wavefield BC
recadd=1              # [1,.true.] accumulate the receiver boundary wavefields to the grids
jt_image=10            #   [8] The time increment for computing the cross-correlation of wavefields

# wavefield snapshot
get_snap=1      # Export wavefield snapshot [1]yes or [0]no
get_sousnap=1
get_recsnap=1     
jsnap=100       # snapshot time grid interval

# Source, receiver and FD grids are already in source and recorded wavefield files.	

icon=1          # [1] image condition we use in RTM: [1] cross-correlation, [2] normalized cross-correlation
smoothvel=0     # [1] use smoothened velocity when using FD scheme: [1,.true] or [0,.false.]
laplac_order=4  # [4] the order of laplacian computing: selected from 2, 4 or 10 


# For parallel programming (unavailable now)
# nodes=1		# Number of node to use

