# shot2.vel1.P
# used with model2d_program.x
# Parameter File for synthetic data program for marine acquisition
# One vessel with streamers behind
# Only four shots at the center position of the velocity model

verb=1	    	        # to be verbal 
rollalong=0       #roll the receiver spread along with shots [0,.false.=default]

# boundary conditions
abstop=0                # [1, .true.] apply absorbing top boundary
		        # [0, .false.=default] apply fully reflective top boundary
npadtop=50		# padding at top boundary
npadbot=50		# padding at bottom boundary
npadleft=50		# padding at left boundary
npadright=50		# padding at right boundary
percent_taper=98.           # [98.] percent of absorbed amplitude at the end of pad (using gaussian tapering)

# recording time
nt=3001		# recording time length	
dt=0.001	# recording dt

get_data=1

# wavefield snapshot
get_snap=1     # Export wavefield snapshot [1]yes or [0]no
jsnap=100      # snapshot time grid interval[50]

# FD computation
smoothvel=0   # use smoothened velocity when using FD scheme: [1,.true] or [0,.false.=default]
laplac_order=4  # the order of laplacian computing: selected from 2 or 4(default) or 10 

# source locations
nsz=1			# shot nz
dsz=10.			# shot dz
osz=10.  		# shot oz
nsx=3			# shot  nx
dsx=80.			# shot  dx
osx=1000.	        	# shot  ox

# receiver locations
ngz=1			# geophone nz (over/under = 2)
dgz=10.             	# Over/under geophone dz
ogz=10.		        # geophone oz
ngx=326			# geophone nx
dgx=20.			# geophone dx
ogx=0.			# geophone ox

# For parallel programming (unavailable now)
# nodes=1		# Number of node to use

