# drtm.horiz.vel0.P
# Parameter File for vertically decomposed RTM program/script
# One vessel with streamers behind
# Only one shot at the center-top position of the velocity model

verb=1	    	        # to be verbal 
rollalong=0       #roll the receiver spread along with shots [0,.false.=default]

# boundary conditions
abstop=1                # [1, .true.=default] apply absorbing top boundary
		        # [0, .false.] apply fully reflective top boundary
npadtop=50		# padding at top boundary
npadbot=50		# padding at bottom boundary
npadleft=50		# padding at left boundary
npadright=50		# padding at right boundary
percent_taper=98.       # [98.] percent of absorbed amplitude at the end of pad (using gaussian tapering)

soutaper=1            # [0,.false.] apply taper to the initial source wavefield BC
recadd=1              # [1,.true.] accumulate the receiver boundary wavefields to the grids
jt_image=10            #   [8] The time increment for computing the cross-correlation of wavefields

# wavefield snapshot # not availabe here
get_snap=1      # Export wavefield snapshot [1]yes or [0]no
get_sousnap=1
get_recsnap=1     
jsnap=100       # snapshot time grid interval

# Source, receiver and FD grids are already in source and recorded wavefield files.	

icon=1          # [1] image condition we use in RTM: [1] cross-correlation, [2] normalized cross-correlation
smoothvel=0     # [1] use smoothened velocity when using FD scheme: [1,.true] or [0,.false.]
laplac_order=4  # [4] the order of laplacian computing: selected from 2, 4 or 10 


# For parallel programming (unavailable now)
# nodes=1		# Number of node to use


########## OTHER PARAMETERS ############
####################################
## Parameters for Padntape program
####################################
beg1=50       # number of padding stencil on the left of time axis
beg2=50       # number of padding stencil on the left of space axis
extend=0      # Whether to extend with the tapered zone (2), the nearest point (1) or zeros (0)
taper=0.01    # percentage of the element at the end of tapered zone with respect to the nearest point

####################################
## Parameters for Fkdecomp2d program
####################################
filter=2	# Choose the filter function used in the program: [0,default] do nothing, [1] step cut, [2] fan with Tukey tapering function
phi=10.		# [5.] If dim=2 and mode=2, angles of fans (phi) in Tukey function are required in the range [0,90] degree, but 15 degree is recommended.
get_filter=y	# [0,n,default] whether to get the image of the filter function we use.
get_fkdataout=y	# [0,n,default] whether to get the filtered data in fourier domain

####################################
## Parameters for selecting types of decomposed RTM output
####################################
getonlyrealpart=0	# [0] the output is complex-valued, [1] the output is real-valued (only real part of complex-valued output)

####################################
## Parameters for selecting imaging condition for decomposed RTM
####################################
decompicon=1	# [1] Real part is the correlation of real parts, where Imag part is the correlation of imag parts
                # [2] taking complex conjugate for dsouwvfld in correlation, so the Imaginary part involves the image formation

####################################
## Parameters for selecting decomposed RTM components [0 or 1]: 1 means yes
####################################
get_DRTM_SrightRright=1
get_DRTM_SleftRleft=1
get_DRTM_SrightRleft=1
get_DRTM_SleftRright=1