program Light1
  use lowcut
  use sep

  implicit none
  integer                            :: n1, n2, n3=11, stat, i2, i3
  real, parameter                    :: d3=0.1
  real, dimension (:,:), allocatable :: map_in, map_out

  call sep_init(SOURCE)
  call from_history( n1, n2)
  call to_history( "n3", n3)
  call to_history( "d3", d3)
  call sep_close()

  allocate( map_in(n1,n2), map_out(n1,n2) )
  call sep_read( map_in )
  do i3=1,n3                            ! Loop over rho values
     call lowcut_init( (i3-1)*d3 )
     do i2=1,n2                         ! Loop over 1-D data traces
        stat = lowcut_lop( .false., .false., map_in(:,i2), map_out(:,i2) )
     end do
     call sep_write( map_out )
  end do

  deallocate( map_in, map_out)
  call exit(0)

end program Light1
