module lowcut

  use adj_mod
  implicit none
  real, private :: rho
  real, private :: tmp
  integer, private :: i
  integer, private :: n

  contains

  subroutine lowcut_init ( rho_in )
    real :: rho_in
    rho = rho_in
  end subroutine

  function lowcut_lop ( adj, add, x, y) result(stat)
    integer :: stat
    logical,intent(in) :: adj,add
    real,dimension(:) :: x,y
    call adjnull (adj,add,x,y )
    call lowcut_lop2(adj,add,x,y )
    stat=0
  end function

  subroutine lowcut_lop2(adj,add,x,y)
    logical,intent(in) :: adj,add
    real, dimension (:) :: x
    real, dimension (:) :: y
    n = size(x)
    if ( adj) then
!!! FILL IN THE ADJOINT CODE HERE
      tmp = y(n)
      x(n) = x(n) + tmp
      do i=n-1,1,-1
        tmp = y(i) - y(i+1) + rho*tmp
        x(i) = x(i) + tmp
      end do
!!!
    else
      tmp = x(1)
      y(1) = y(1) + tmp
      do i=2,n
        tmp = x(i) - x(i-1) + rho*tmp
        y(i) = y(i) + tmp
      end do
    end if
  end subroutine

  subroutine lowcut_close()
  end subroutine

end module lowcut
