module type_mod

  private  ::
  public   :: axis, npad_values, grid

  !------------------------------------------------------------
  ! type for axis refer to grid values
  type axis
     integer :: n
     real    :: o, d, v !v=for the position of the variable (typical:v=(i-1)*d+o)
     real, dimension(:), allocatable:: all
  end type axis
  !------------------------------------------------------------

  !------------------------------------------------------------
  ! the number of padding grid at top, bottom and side boundaries
  type npad_values
     integer :: top, bot, left, right
     real    :: taper   ! percent of absorbed amplitude at the end of pad
  end type npad_values
  !------------------------------------------------------------

  !------------------------------------------------------------
  ! Grid info which can be used for the following purposes:
  ! - define FD grid info (this should be the same as velocity)
  ! - define source info grid (source position and wavelet signal time)
  ! - define receiver info grid (receiver position and received signal time)
  type grid
     type(axis) :: z,x,t  ! space and time stencils for FD extrapolation
  end type grid
  !------------------------------------------------------------

end module type_mod
